Package org.eclipse.graphiti.ui.platform

# Class AbstractPropertySectionFilter

java.lang.Object
org.eclipse.graphiti.ui.platform.AbstractPropertySectionFilter

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IFilter`

public abstract class AbstractPropertySectionFilter extends Object implements org.eclipse.jface.viewers.IFilter
The Class AbstractPropertySectionFilter.

## Constructor Summary

Constructors
Constructor
Description
`AbstractPropertySectionFilter()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract boolean`
`accept(PictogramElement pictogramElement)`
Check the given pictogram element for acceptance.
`final boolean`
`select(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractPropertySectionFilter

public AbstractPropertySectionFilter()

## Method Details

### select

public final boolean select(Object object)

Specified by:
  `select` in interface `org.eclipse.jface.viewers.IFilter`

### accept

protected abstract boolean accept(PictogramElement pictogramElement)
Check the given pictogram element for acceptance.

Parameters:
  `pictogramElement` - the pictogram element
Returns:
  true, if pictogram element is accepted, otherwise false